### execution::prefer_only

A property adapter that is used with the polymorphic executor wrapper to mark properties as preferable, but not requirable.

    template<
        typename Property>
    struct prefer_only

##### Types

Name | Description
--- | ---
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The prefer_only adapter applies to the same types as the nested property.
is_preferable [static] | The context_t property can be preferred, it the underlying property can be preferred.
is_requirable [static] | The context_t property cannot be required.

##### Requirements

Header: `asio/execution/prefer_only.hpp`

Convenience header: `asio/execution.hpp`